CONTENTS OF THIS FILE
---------------------
   
 * Introduction
 * Requirements
 * Installation
 * Configuration

INTRODUCTION
------------

The Small Hay module was created to integrate with the Small Hay API, to allow
site developers to take advantage of the performance improvements with serving
third party javascript from the site. This allows full control over caching
headers and agregation.

REQUIREMENTS
------------

* The libraries module - https://www.drupal.org/project/libraries
* The Small Hay SDK - https://github.com/sjoudry/smallhay
* A Small Hay account with API Keys - https://www.smallhay.com/

INSTALLATION
------------

Install as you would normally install a contributed Drupal module. Visit:
https://www.drupal.org/documentation/install/modules-themes/modules-7 for
further information.

Ensure that the Small Hay SDK is installed as a library in
sites/all/libraries/smallhay and ensure that the SmallHay.php file is found
in that directory - sites/all/libraries/smallhay/SmallHay.php.

CONFIGURATION
-------------

* Configure user permissions in Administration » People » Permissions:
  * Administer Small Hay Module - this permission controls who can configure
    the module and who can refresh pages.

* Set the API key and secret in the settings.php file:

```php
$conf['smallhay_client_id'] = '';
$conf['smallhay_client_secret'] = '';
```

* Set up an optional site key, to allow the API keys above to be used on
  multiple sites (such as a dev, stage and live version) without conflicting
  with each other. The default value will be the value of $base_url, but it can
  be set explicitly in the settings.php file:

```php
$conf['smallhay_site_key'] = '';
```

* Customize the module settings in Administration » Configuration » Development
    » Small Hay » Settings
    * admin/config/development/smallhay

* Review pages and assets that are currently being managed by the module, as
    well as the ability to refresh pages in Administration » Configuration
    » Development » Small Hay » Pages 
    * admin/config/development/smallhay/pages
