<?php

/**
 * @file
 * Hooks provided by the Smallhay module.
 */

 /**
 * Create a path key.
 *
 * Create a path key based on some criteria that will be added to the path
 * value. This allows for pages with the same path that might have vastly
 * different assets to be processed independently.
 * 
 * By default the user's language is provided as a path key, but this hook
 * allows for more to be added. After a hook is added, the cache must be
 * cleared and the path key must be selected for use at
 * /admin/config/development/smallhay.
 */
function hook_smallhay_path_key_info() {
  return array(
    'language' => array(
      'label' => 'Language',
      'description' => 'Language will form part of the path key.',
      'callback' => 'smallhay_language_path_key',
    ),
  );
}
